NTLMEngine (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.auth
Interface NTLMEngine

    public interface NTLMEngine

Abstract NTLM authentication engine. The engine can be used to generate Type1 messages and Type3 messages in response to a Type2 challenge.

Since:
  4.0

Method Summary
`String` | `generateType1Msg(String domain, String workstation)` Generates a Type1 message given the domain and workstation.
`String` | `generateType3Msg(String username, String password, String domain, String workstation, String challenge)` Generates a Type3 message given the user credentials and the authentication challenge.

Method Detail

### generateType1Msg

    String generateType1Msg(String domain,
                            String workstation)
                            throws NTLMEngineException

  Generates a Type1 message given the domain and workstation.

  Parameters:
    `domain` - Optional Windows domain name. Can be `null`.
    `workstation` - Optional Windows workstation name. Can be `null`.
  Returns:
    Type1 message
  Throws:
    `NTLMEngineException`

### generateType3Msg

    String generateType3Msg(String username,
                            String password,
                            String domain,
                            String workstation,
                            String challenge)
                            throws NTLMEngineException

  Generates a Type3 message given the user credentials and the authentication challenge.

  Parameters:
    `username` - Windows user name
    `password` - Password
    `domain` - Windows domain name
    `workstation` - Windows workstation name
    `challenge` - Type2 challenge.
  Returns:
    Type3 response.
  Throws:
    `NTLMEngineException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.